Subject: bug#57079: 29.0.50; Performance of seq-uniq is not very good

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Aug 2022 19:52:51 +0200

Eli Zaretskii <[email-masked]> writes:

> But the above means that using seq-uniq with TESTFN nil is going to be
> unnecessarily slow from the get-go.  People shouldn't use seq-uniq if
> they don't need a non-default TESTFN, because much faster
> implementations exist.
>
> IOW, since this bug is about speed, not anything else, I think making
> seq-uniq faster when TESTFN is nil isn't the right solution, the right
> solution is to point out that seq-uniq's purpose in this case is not
> to be a Speedy Gonzales.

I didn't make seq-uniq faster just when TESTFN is nil -- I made it
faster for all lists, so I don't follow you at all here.